<template>
  <div>
    <div class="row">
      <img @click="showImg(idx)" v-for="(media, idx) in medias" :key="media.id" :src="media.thumb" />
    </div>
    <div class="row">
      <LightBox :media="medias" :showLightBox="showLightBox" v-if="medias.length > 0" :showThumbs="showThumbs" :showCaption="showCaption" ref="lightbox"></LightBox>
    </div>
  </div>
</template>
<script>
import "vue-image-lightbox/dist/vue-image-lightbox.min.css";
import VueLazyLoad from "vue-lazyload";
import LightBox from "vue-image-lightbox";
export default {
  props: ["medias"],
  components: {
    LightBox
  },
  data() {
    return {
      // variables lightbox
      showCaption: true,
      showLightBox: false,
      showThumbs: true
      // ne pas effacer pour le moment
      // exemple pour galerie vidéo à venir
      // medias: [
      //   {
      //     // For video
      //     thumb: "https://s3-us-west-1.amazonaws.com/powr/defaults/image-slider2.jpg",
      //     sources: [
      //       {
      //         src: "https://www.w3schools.com/html/mov_bbb.mp4",
      //         type: "video/mp4"
      //       }
      //     ],
      //     type: "video",
      //     caption: "<h4>Monsters Inc.</h4>",
      //     width: 800, // required
      //     height: 600, // required
      //     autoplay: true //Optional to autoplay video when lightbox opens
      //   }
      // ]
    };
  },
  methods: {
    // lightbox
    showImg(indice) {
      this.$refs.lightbox.showImage(indice);
    }
  }
};
</script>
